PUT /report/{uuid}

PUT /report/{uuid}

/report/{uuid}/{uuid}

Request
URI
PUT
https://{api_host}/api/report/{uuid}
COPY
Path Parameters
string
uuid
Required

UUID of the object to fetch

Query Parameters
string
name
Optional

object name

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

Report object creation

Report of type(s) application/json
Optional
{
    "_last_modified": "string",
    "duration": 0,
    "end_time": "string",
    "filename": "string",
    "name": "string",
    "node": "string",
    "pre_check": {
        "checks": [
            {
                "check_code": "string",
                "description": "string",
                "details": [
                    "string"
                ],
                "duration": 0,
                "end_time": "string",
                "error_details": [
                    "string"
                ],
                "start_time": "string",
                "state": "string"
            }
        ],
        "checks_completed": 0,
        "duration": 0,
        "end_time": "string",
        "progress": 0,
        "start_time": "string",
        "state": {
            "last_changed_time": {
                "secs": 0,
                "usecs": 0
            },
            "reason": "string",
            "state": "string"
        },
        "total_checks": 0
    },
    "progress": 0,
    "request": {
        "duration": {
            "end_time": {
                "secs": 0,
                "usecs": 0
            },
            "period": "string",
            "start_time": {
                "secs": 0,
                "usecs": 0
            }
        },
        "name": "string",
        "parameters": [
            {
                "name": "string",
                "value": "string"
            }
        ],
        "report": "string",
        "sections": [
            {
                "id": "string",
                "sub_sections": [
                    {
                        "id": "string"
                    }
                ]
            }
        ]
    },
    "start_time": "string",
    "state": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": "string",
        "state": "string"
    },
    "tasks": [
        {
            "nodes_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "sub_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "task_name": "string"
        }
    ],
    "tasks_completed": 0,
    "tenant_ref": "string",
    "total_tasks": 0,
    "url": "string",
    "uuid": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Report of type(s) application/json
{
    "_last_modified": "string",
    "duration": 0,
    "end_time": "string",
    "filename": "string",
    "name": "string",
    "node": "string",
    "pre_check": {
        "checks": [
            {
                "check_code": "string",
                "description": "string",
                "details": [
                    "string"
                ],
                "duration": 0,
                "end_time": "string",
                "error_details": [
                    "string"
                ],
                "start_time": "string",
                "state": "string"
            }
        ],
        "checks_completed": 0,
        "duration": 0,
        "end_time": "string",
        "progress": 0,
        "start_time": "string",
        "state": {
            "last_changed_time": {
                "secs": 0,
                "usecs": 0
            },
            "reason": "string",
            "state": "string"
        },
        "total_checks": 0
    },
    "progress": 0,
    "request": {
        "duration": {
            "end_time": {
                "secs": 0,
                "usecs": 0
            },
            "period": "string",
            "start_time": {
                "secs": 0,
                "usecs": 0
            }
        },
        "name": "string",
        "parameters": [
            {
                "name": "string",
                "value": "string"
            }
        ],
        "report": "string",
        "sections": [
            {
                "id": "string",
                "sub_sections": [
                    {
                        "id": "string"
                    }
                ]
            }
        ]
    },
    "start_time": "string",
    "state": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": "string",
        "state": "string"
    },
    "tasks": [
        {
            "nodes_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "sub_events": [
                {
                    "duration": 0,
                    "end_time": "string",
                    "ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "message": "string",
                    "start_time": "string",
                    "status": "string",
                    "sub_tasks": [
                        "string"
                    ]
                }
            ],
            "task_name": "string"
        }
    ],
    "tasks_completed": 0,
    "tenant_ref": "string",
    "total_tasks": 0,
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Optional

UNIX time since epoch in microseconds. Units(MICROSECONDS).

integer As uint32 As uint32
duration
Optional

Time taken to complete report generation in seconds. Field introduced in 31.2.1. Unit is SEC. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
end_time
Optional

End time of the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
filename
Optional

Name of the report artifact on reports repository. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
name
Optional

Name of the report. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
node
Optional

Cluster member node on which the report is processed. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

object
pre_check
Optional

pre_check

integer As uint32 As uint32
progress
Optional

Percentage of tasks completed. Allowed values are 0-100. Field introduced in 31.2.1. Unit is PERCENT. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

object
request
Optional

request

string
start_time
Optional

Start time of the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

object
state
Optional

state

array of object
tasks
Optional

List of tasks associated with the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
tasks_completed
Optional

No. of tasks completed. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

Tenant UUID of the report generation. It is a reference to an object of type Tenant. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

integer As uint32 As uint32
total_tasks
Optional

Total no. of tasks. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
url
Optional

url

string
uuid
Optional

UUID Identifier for the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/report/{uuid}